# Method: projects.tenants.companies.create

- [HTTP request](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/create#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/create#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.tenants.companies/create#try-it)

Creates a new company entity.

### HTTP request

`POST https://jobs.googleapis.com/v4beta1/{parent=projects/*/tenants/*}/companies`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the tenant under which the company is created. The format is "projects/{projectId}/tenants/{tenantId}", for example, "projects/foo/tenant/bar". If tenant id is unspecified, a default tenant is created, for example, "projects/foo". |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "company": { object (`https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.companies#Company`) } } ``` |

| Fields ||
|---|---|
| `company` | ``object (`https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.companies#Company`)`` Required. The company to be created. |

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/talent-solution/job-search/v4beta1/docs/reference/rest/v4beta1/projects.companies#Company`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/jobs`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).